@echo off
rem ## this batch-file is intended for starting java-applications
rem ## like FreeStyler, which need a couple of jar-files to run
rem ## 
rem ## - switch to local handling of evironment-variables
setlocal enabledelayedexpansion
rem ## - set the classpath to the current directory
set CLASSPATH=.
rem ## - add all jar-files in the this directory and all it's
rem ##   subdirectories to the classpath
rem /R . %%f in (*.jar) do set CLASSPATH=!CLASSPATH!;%%f
rem #############
rem ## alternative calls for adding jar files
rem - add all jar-files in the directory .\libs to the classpath
for %%f in (".\libs\*.jar") do set CLASSPATH=!CLASSPATH!;%%f
for %%f in (".\libs\plugins\*.jar") do set CLASSPATH=!CLASSPATH!;%%f
rem #############
rem ## debugging information
rem echo %CLASSPATH%
rem start /b javaw -mx256m -ms256m info.collide.freestyler.main.FreeStyler %1
java -mx256m -ms256m info.collide.mm.core.MmServer %*
endlocal
pause